## hotplug-2001_09_19.tar.gz

=== Makefile ===
# $Id: Makefile,v 1.9 2001/06/12 00:00:50 stevewilliams Exp $

prefix = /
exec_prefix = ${prefix}
etcdir = ${prefix}/etc
sbindir = ${exec_prefix}/sbin
mandir = ${prefix}/usr/share/man
srcdir = .

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA  = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}

TOPDIR=/
DIRS= 	/sbin \
	/etc/hotplug \
	/etc/init.d/ \
	/var/run/usb \
	/usr/share/man/man8

# New style, /etc/hotplug
# Driven by modutils output, and (for USB) exceptions
DISTRIB_FILES =		\
		README	\
		ChangeLog	\
		hotplug.8	\
		Makefile	\
		mkinstalldirs	\
		hotplug.spec

DISTRIB_DIRS =		\
		etc	\
		sbin	\
		fxload	\
		debian


NAME=hotplug

REV=$(shell date "+%Y_%m_%d"| awk '{print $$1}')

RELEASE_DIR =	$(NAME)-$(REV)

default:	distrib

# This rule simply makes a distribution tarball. It collects the files
# from various distribution subdirectories.
distrib:
	chmod +x sbin/hotplug
	chmod +x etc/rc.d/init.d/hotplug
	chmod +x etc/hotplug/*.agent etc/hotplug/*.rc
	-rm -rf $(RELEASE_DIR)
	mkdir $(RELEASE_DIR)
	cp -r $(DISTRIB_DIRS) $(DISTRIB_FILES) $(RELEASE_DIR)
	tar czv --exclude CVS --exclude .cvsignore \
		--exclude '.*.swp' --exclude '.#*' --exclude '*~' \
		-f $(RELEASE_DIR).tar.gz $(RELEASE_DIR)
	rm -rf $(RELEASE_DIR)

all:
	make -C fxload all

clean:
	rm -f $(NAME)-*.tar.gz Log *~
	make -C fxload clean

install: installdirs
	for i in sbin/*;do [[ -d $$i ]] && continue;install -m755 $$i $(sbindir)/;done
	for i in etc/hotplug/*;do [[ $$i == *CVS* ]] && continue;cp -a -r $$i $(etcdir)/hotplug;done
	for i in etc/rc.d/init.d/*;do [[ $$i == *CVS* ]] && continue;cp -a -r $$i $(etcdir)/rc.d/init.d/;done
	$(INSTALL_DATA) hotplug.8  $(mandir)/man8/hotplug.8
	make -C fxload prefix=$(prefix) install

installdirs: mkinstalldirs
	$(srcdir)/mkinstalldirs $(sbindir) $(etcdir)/hotplug $(etcdir)/rc.d/init.d $(mandir)/man8 $(prefix)/var/run/usb
	chmod 0700 $(prefix)/var/run/usb

=== fxload/Makefile ===

prefix = /
exec_prefix = ${prefix}
sbindir = ${exec_prefix}/sbin

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}


CFLAGS = -O

PROG = fxload

all: $(PROG)

O = main.o ezusb.o


$(PROG): $O
	$(CC) -o $(PROG) $O

clean:
	rm -f *.o *~ fxload

install: $(sbindir)/fxload

$(sbindir)/fxload: fxload
	$(INSTALL_PROGRAM) fxload $(sbindir)/fxload

%.o: %.c
	$(CC) -c $(CFLAGS)  $< -o $@

main.o: main.c ezusb.h
ezusb.o: ezusb.c ezusb.h

=== debian/changelog ===
hotplug (0.0.20010228-3) unstable; urgency=low

  * fix typo in usb.agent, closes: #92317

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  1 Apr 2001 00:53:00 +0900

hotplug (0.0.20010228-2) unstable; urgency=low

  * change dependency:
    - ifupdown, usbutils are downgraded to Recommends:
    - pciutils is added to Recommends:
    suggested by HAYASE Shigenori <shayase@tky3.3web.ne.jp>

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 14 Mar 2001 12:03:33 +0900

hotplug (0.0.20010228-1) unstable; urgency=low

  * new upstream version
  * move /etc/hotplug/usb.option to /etc/default/hotplug.usb

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  4 Mar 2001 05:26:11 +0900

hotplug (0.0.20010214-4) unstable; urgency=HIGH

  * (postinst) fix syntax error near unexpected token `fi'

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 25 Feb 2001 19:22:27 +0900

hotplug (0.0.20010214-3) unstable; urgency=low

  * (config,postinst) change debconf
    check capability multiselect
  * (control) add build-depends:, closes: Bug#86800

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 24 Feb 2001 05:12:42 +0900

hotplug (0.0.20010214-2) unstable; urgency=low

  * Initial public release. closes: Bug#86213

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 17 Feb 2001 20:45:56 +0900

hotplug (0.0.20010214-1.1) unstable; urgency=low

  * add dh_installdebconf
  * (etc/hotplug/usb.rc) fix "ls: /proc/bus/usb: No such file or directory"

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 17 Feb 2001 04:08:04 +0900

hotplug (0.0.20010214-1) unstable; urgency=low

  * New upstream release
  * (debian/rules) use sed instead of modify original source
  * (debian/control) depends ifupdown, usbutils, gawk
  * not change #!/bin/bash to #!/bin/sh, because these scripts have some bashism
  * use debconf

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 17 Feb 2001 02:23:28 +0900

hotplug (0.0.20010123-1) unstable; urgency=low

  * Initial Release.
  * /etc/sysconfig/usb in original source is moved to
    /etc/hotplug/usb.option .

 -- HAYASE Shigenori <shayase@tky3.3web.ne.jp>  Sat, 27 Jan 2001 13:34:53 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: hotplug
Section: admin
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 3.2.1
Build-Depends: debhelper

Package: hotplug
Architecture: all
Depends: modutils (>= 2.4.2), debconf (>= 0.2.26)
Recommends: ifupdown, usbutils, pciutils
Conflicts: usbmgr
Replaces: usbmgr
Description: Linux Hotplug Scripts
 This package contains the scripts necessary for hotplug Linux support,
 and lets you plug in new devices and use them immediately.
 Initially, it includes support for USB and PCI (Cardbus) devices, 
 and can automatically configure network interfaces.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

DEBFIX=sed -e 's:sysconfig/usb:default/hotplug.usb:'

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install --mode=744 sbin/hotplug debian/tmp/sbin/hotplug
	install --mode=644 etc/hotplug/usb.*map debian/tmp/etc/hotplug
	# hotplug.functions is not executable shell script...
	(echo '#'; cat etc/hotplug/hotplug.functions) \
	  > debian/tmp/etc/hotplug/hotplug.functions
	for agent in etc/hotplug/*.agent etc/hotplug/usb.rc; \
	do \
	    ${DEBFIX} $$agent > debian/tmp/$$agent && \
	    chmod 755 debian/tmp/$$agent; \
	done

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	${DEBFIX} README > debian/tmp/usr/share/doc/hotplug/README
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented hotplug.8
	dh_installchangelogs ChangeLog
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
